﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

using Xamarin.Forms;
using Xamarin.Forms.Xaml;
using System.Windows.Input;
using System.Collections.ObjectModel;
namespace LinearGa
{
    [XamlCompilation(XamlCompilationOptions.Compile)]
    public partial class MenuPage : ContentPage
    {
        public ICommand MenuSelectionCommand { private set; get; }
        GaugePage _g;

        public MenuPage()
        {
            InitializeComponent();
        }
        void OnListViewItemSelected(object sender, SelectedItemChangedEventArgs args)
        {

            if (args.SelectedItem != null)
            {
                MenuViewModel selecteditem = args.SelectedItem as MenuViewModel;

                mylist.SelectedItem = null;

                switch (selecteditem.MenuDetail)
                {

                    case "Vehicle Dashboard":
                        _g = new GaugePage();
                        Navigation.PushAsync(_g);

                        break;

                }
            }
        }

        protected override void OnAppearing()
        {
            //   NavigationPage.SetTitleIcon(this, "icon.png");
            ObservableCollection<MenuViewModel> items = new ObservableCollection<MenuViewModel>();
            MenuViewModel Menuitem5 = new MenuViewModel();
            Menuitem5.ImageFilename = "ioniosspeedometer.png";
            Menuitem5.MenuText = "Guage";
            Menuitem5.MenuDetail = "Vehicle Dashboard";
            items.Add(Menuitem5);






            mylist.ItemsSource = items;
            base.OnAppearing();
        }

    }
}


 
