﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

using Xamarin.Forms;
using Xamarin.Forms.Xaml;
using System.ComponentModel;
using System.Runtime.CompilerServices;
namespace LinearGa
{
    [XamlCompilation(XamlCompilationOptions.Compile)]
    public partial class GaugePage : ContentPage
    {
        public GaugePage()
        {
            InitializeComponent();
            this.BindingContext = BindingContext = ViewModelLocator.MainViewModel;

            ViewModelLocator.MainViewModel.VBATVDCGAUGE = 30;
        }
    }

    public class ParametersViewModel : ViewModelBase
    {
        double vbatvdcgauge = 10;
        double _vbatvdcgauge = 5;



        public double VBATVDCGAUGE  // Parmeter 1
        {
            set
            {
                if (SetProperty(ref vbatvdcgauge, value))
                {



                    Device.StartTimer(new TimeSpan(0, 0, 0, 0, 100), () =>
                    {
                        Random rnd = new Random();
                        double i = rnd.NextDouble() * 80.0;
                        VBATVDCGAUGE = i;
                        System.Diagnostics.Debug.WriteLine("_vbatvdcgauge = {0}", VBATVDCGAUGE.ToString());
                        return false;
                    });




                    //_vbatvdcgauge = Math.Round(_vbatvdcgauge, 50);
                    //     System.Diagnostics.Debug.WriteLine("_vbatvdcgauge = {0}", _vbatvdcgauge.ToString());
                }
            }
            get
            {
                return vbatvdcgauge;
            }
        }

    }

    public class ViewModelBase : INotifyPropertyChanged
    {
        public event PropertyChangedEventHandler PropertyChanged;
        protected bool SetProperty<T>(ref T storage, T value, [CallerMemberName] string propertyName = null)
        {
            //     if (Object.Equals(storage, value))
            //        return false;
            storage = value;
            OnPropertyChanged(propertyName);
            return true;
        }
        protected void OnPropertyChanged([CallerMemberName] string propertyName = null)
        {
            PropertyChangedEventHandler handler = PropertyChanged;
            if (handler != null)
            {

                PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
            }
        }
    }
}
